Description

I would like to request to have a method of performing joins similar to ArcGIS. The attached image shows the ArcGIS Joins Dialog. The

most important functional request is the ability to join external spreadsheets (not solely .csv files) rather than loading the spreadsheet as a

separate layer.

In the Joins/Relates Properties for the layer, the following information is displayed in ArcGIS:

Target Table:

Target Field:

Join Table:

Join Field:

Join Type:    Keep all records (or other choices)

Data Type:    Standalone Table (or other choices )

Location: ArcGIS allows for external tables (e.g. spreadsheets) to be joined without creating a separate layer

It would be nice to have the above information, if not already available, in the Joins/Relates Properties. I have attempted a Join previously

in QGIS 2.6.1, but the Joins did not save when the Project was saved.

More information can be found in the following 2 resources:

http://resources.arcgis.com/en/help/main/10.2/index.html#//001700000065000000

ArcGIS Help 10.2, 10.2.1, and 10.2.2 [Join Field (Data Management)]

http://resources.arcgis.com/en/help/main/10.2/index.html#/About_joining_and_relating_tables/005s0000002n000000/

ArcGIS Help 10.2, 10.2.1, and 10.2.2 (About joining and relating tables)

Thank you.

History

#1 - 2015-02-24 02:51 PM - Giovanni Manghi

- Category changed from Relations to Vectors

- Status changed from Open to Feedback

- Assignee deleted (Matthias Kuhn)

There may be some good suggestion here, like the one to allow join tables not loaded as "layers", but there are a couple of things that do not seem right:

    -  you can already join files like dbf and xls

    -  joins are definitely saved in the project

2025-05-17 1/3

http://resources.arcgis.com/en/help/main/10.2/index.html#//001700000065000000
http://resources.arcgis.com/en/help/main/10.2/index.html#/About_joining_and_relating_tables/005s0000002n000000/


Then the "above information" seems to be the same stuff we have in qgis, but maybe I'm missing something(?).

#2 - 2015-02-27 09:41 AM - Irucka Embry

Thank you for responding to my feature request.

I have QGIS 2.8.1 installed on GNU/Linux Ubuntu 14.04. This is my workflow: 1) Layer > Add Layer > Add Delimited Text Layer; 2) Browse and open the

requested .xls workbook; 3) Choose Custom delimiters > Tab; and 4) Choose No geometry (attribute only table).

I see "No data found in file" above the Help button and "OK" is greyed out.

It seems that only single .xls worksheets can be selected rather than choosing the sheet(s) out of an .xls workbook. Is this correct?

In the future will there be support for both .xls and .xlsx workbooks (if this is not already possible)?

Thank you.

#3 - 2015-03-03 02:10 AM - Giovanni Manghi

Irucka Embry wrote:

Thank you for responding to my feature request.

I have QGIS 2.8.1 installed on GNU/Linux Ubuntu 14.04. This is my workflow: 1) Layer > Add Layer > Add Delimited Text Layer; 2) Browse and

open the requested .xls workbook; 3) Choose Custom delimiters > Tab; and 4) Choose No geometry (attribute only table).

I see "No data found in file" above the Help button and "OK" is greyed out.

It seems that only single .xls worksheets can be selected rather than choosing the sheet(s) out of an .xls workbook. Is this correct?

In the future will there be support for both .xls and .xlsx workbooks (if this is not already possible)?

Thank you.

to add xls/dbf/csv tables in a qgis project just drag and drop them, or use the "add vector layer" dialog.

The "add delimited text layer" is for CSV only, and it is to be used when in the csv you have X/Y columns and you want to render them as points.

#4 - 2015-03-03 03:55 AM - Alexander Bruy

Giovanni Manghi wrote:

and it is to be used when in the csv you have X/Y columns and you want to render them as points.

Delimited Text layer can be also geometry-less

#5 - 2015-03-03 04:26 AM - Giovanni Manghi
Alexander Bruy wrote:

Giovanni Manghi wrote:

and it is to be used when in the csv you have X/Y columns and you want to render them as points.

Delimited Text layer can be also geometry-less

I forgot "usually" :)

#6 - 2015-05-07 07:52 PM - Irucka Embry

With the question that I posted, I am referring to a workbook (with possibly many worksheets) and not a single table/worksheet existing in a csv/dbf/xls/xlsx

file.

In ArcGIS, I can open a workbook and choose which worksheet that I want to pull information from. I think that that is a nice feature to have in a future

version of QGIS or in a plugin.

Thank you.

#7 - 2016-06-26 05:22 AM - Matthias Kuhn

This probably boils down to two or three feature requests:

    -  Add a possibility to hide certain layers from the legend

    -  Add a possibility to attach the lifetime of a layer to another layer (joined layer will be deleted when parent layer is deleted)

    -  Allow adding a new layer directly from the join dialog

#8 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No
